# class ConnectionDialog | Connection dialog More...
Full name | `KDB::ConnectionDialog`
Definition | `#include <connectiondlg.h>`
Inherits | KDialogBase (kdeui) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- ConnectionDialog (QWidget *parent = 0L, const char * name = 0L)
- ~ConnectionDialog ()
- void setConnection (Connection *)
- Connection * connection ()

#### Public Static Methods

- static Connection * createConnection (QWidget *parent = 0L)
- static Connection * editConnection (Connection *, QWidget *parent = 0L)

## Detailed Description

Connection dialog

This dialog can be used to setup a connection

ConnectionDialog (QWidget *parent = 0L, const char * name = 0L) | ### ConnectionDialog

~ConnectionDialog () | ### ~ConnectionDialog

void setConnection (Connection *) | ### setConnection

Connection * connection () | ### connection

Connection * createConnection (QWidget *parent = 0L) | ### createConnection

[static]

Connection * editConnection (Connection *, QWidget *parent = 0L) | ### editConnection

[static]

- Version: kdbui 0.0.2
- Author: Michael Koch <m_kock@bigfoot.de>
- Generated: root@sparc.ports.openbsd.org on Wed May 2 09:49:12 2001, using kdoc 2.0a53.